%% Main
%
%% Object oriented classes
% This program adopts an Object Oriented Programming (OOP) paradigm, in
% which the following OOP classes are implemented:
%%%
% * <gui_canvasmouseevents.html *GUI_CanvasMouseEvents*> class.
% * <canvas.html *Canvas*> class.
% * <canvas_2d.html *Canvas_2D*> class
% * <mycanvas_2d.html *MyCanvas_2D*> class
% * <drawoncanvas.html *DrawOnCanvas*> class.
% * <emouse.html *Emouse*> class.
% * <mouseevents.html *MouseEvents*> class.
%
%%
%% Clear memory
clear
close(findall(0,'Type','figure'));
clear classes
clc

% Add path to auxiliary folders
addpath('canvas','draw','gui','mouse');

%% Launch GUI
GUI_CanvasMouseEvents;      % ATTENTION: Calling .mlapp, not (code_file).m
%GUI_CanvasMouseEvents_Code; % Calling (code_file).m